#
# Conditional build:
%bcond_with	tests	# unit tests (require git checkout, not archive?)
%bcond_without	doc	# Sphinx documentation

Summary:	Python Git Library
Summary(pl.UTF-8):	Biblioteka Git dla Pythona
Name:		python3-git
Version:	3.1.37
Release:	3
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://github.com/gitpython-developers/GitPython/tags
Source0:	https://github.com/gitpython-developers/GitPython/archive/%{version}/GitPython-%{version}.tar.gz
# Source0-md5:	eae05ec2e472398341006dcf2423ce30
URL:		https://pypi.org/project/GitPython/
# python 3.7 requires additionally typing-extensions>=3.7.4.3
BuildRequires:	python3-modules >= 1:3.8
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-ddt >= 1.1.1
BuildRequires:	python3-gitdb >= 4.0.1
BuildRequires:	python3-gitdb < 5
BuildRequires:	python3-pytest
BuildRequires:	python3-pytest-cov
BuildRequires:	python3-pytest-sugar
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
#BuildRequires:	python3-sphinx_autodoc_typehints
BuildRequires:	python3-gitdb >= 4.0.1
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	sphinx-pdg >= 4.3.0
%endif
Requires:	python3-modules >= 1:3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GitPython is a Python library used to interact with git repositories,
high-level like git-porcelain, or low-level like git-plumbing.

It provides abstractions of git objects for easy access of repository
data, and additionally allows you to access the git repository more
directly using either a pure Python implementation, or the faster, but
more resource intensive git command implementation.

%description -l pl.UTF-8
GitPython to biblioteka Pythona służąca do pracy z repozytoriami gita,
wysokopoziomowo, jak git-porcelain lub niskopoziomowo, jak
git-plumbing.

Biblioteka udostępnia abstrakcje obiektów gita, zapewniając łatwy
dostęp do danych repozytorium, a ponadto pozwala na dostęp do
repozytorium bardziej bezpośrednio albo przy użyciu czysto pythonowej
implementacji, albo szybciej, ale z większym zużyciem zasobów, przy
użyciu implementacji poleceń gita.

%package apidocs
Summary:	API documentation for GitPython library
Summary(pl.UTF-8):	Dokumentacja API biblioteki GitPython
Group:		Documentation

%description apidocs
API documentation for GitPython library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki GitPython.

%prep
%setup -q -n GitPython-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=pytest_cov.plugin,pytest_sugar \
%{__python3} -m pytest test
%endif

%if %{with doc}
# disable -W, there are two "Actor" symbols
%{__make} -C doc html \
	SPHINXOPTS=
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE README.md SECURITY.md
%dir %{py3_sitescriptdir}/git
%{py3_sitescriptdir}/git/*.py
%{py3_sitescriptdir}/git/index
%{py3_sitescriptdir}/git/objects
%{py3_sitescriptdir}/git/py.typed
%{py3_sitescriptdir}/git/refs
%{py3_sitescriptdir}/git/repo
%{py3_sitescriptdir}/git/__pycache__
%{py3_sitescriptdir}/GitPython-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc doc/build/html/{_static,*.html,*.js}
%endif
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-git.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 9c942e3
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> c3de9ed
- python 3.13 rebuild

* Wed Sep 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 8f5ac76
- updated to 3.1.37

* Thu Apr 28 2022 Jakub Bogusz <qboosh@pld-linux.org> a23ccc6
- updated to 3.1.27
- removed obsolete markdown patch

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 56940d8
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> e494393
- rebuild with python 3.10

* Thu Jan 13 2022 Jan Rękorajski <baggins@pld-linux.org> fb4ab12
- up to 3.1.26

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 459ec02
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> c28a254
- rebuild with python 3.8
- release 3 (by relup.sh)

* Thu Mar 21 2019 Jakub Bogusz <qboosh@pld-linux.org> d47f2ad
- added python3- and -apidocs packages; release 2

* Wed Dec 05 2018 Adam Gołębiowski <adamg@pld-linux.org> 67c83eb
- updated to 2.1.11

* Wed Apr 04 2018 Jan Rękorajski <baggins@pld-linux.org> 780d101
- versioned requires

* Wed Apr 04 2018 Jan Rękorajski <baggins@pld-linux.org> ddbcfa8
- up to 2.1.9

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 5d7a0ee
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 328f1a4
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 34c0214
- automatic change: use py_build/py_install macros

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> 194eb70
- fixed prep

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> 02814d7
- up to 0.3.2.1

* Thu Nov 01 2012 Artur Frysiak <artur@frysiak.net> 1b8d833
- R: python-gitdb

* Thu Jan 19 2012 Jan Rękorajski <baggins@pld-linux.org> 2a39bab
- 0.3.2.RC1

